import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const stawardGetOutDashboardService = createAsyncThunk(
  "STEWARD-GET-OUT_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("steward_free_bar_dashboard", {
      params: {
        ...d,
        role: getRoleFromUrl(),
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
